import { ITraceLoggingDispatcher } from "./ITraceLoggingDispatcher";
import { PrivacyDataTags, Keywords, EventTags, LoggingLevel, DMADataCategory } from "./TraceLogging";
declare class TraceLoggingDispatcher implements ITraceLoggingDispatcher {
    isTraceLoggingEnabled: boolean | undefined;
    isDiagnosticDataSharingEnabled: boolean | undefined;
    getIsDiagnosticDataEnabled(): Promise<boolean>;
    getIsDiagnosticDataSharingEnabled(): Promise<boolean>;
    dispatch(eventName: string, providerName: string, dmaDataCategory: DMADataCategory, privacyTag: PrivacyDataTags, keyword: Keywords, tags: EventTags, loggingLevel: LoggingLevel, partC: any): Promise<void>;
    collectionLevelChangedCallback(isEnabled: boolean): void;
}
export declare let traceLoggingDispatcher: TraceLoggingDispatcher;
export declare function setTraceLoggingDispatcher(dispatcher: ITraceLoggingDispatcher): void;
export {};
